package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.Visa_entry_typeRepository;
import com.realnet.basicp1.Entity.Visa_entry_type;

import com.realnet.basicp1.Entity.Visa_entry_type_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Visa_entry_type_ListFilter1Service {
@Autowired
private Visa_entry_typeRepository Repository;




 public   List<Visa_entry_type_ListFilter1>   getlistbuilder() {
	List<Visa_entry_type> list= Repository.findAll();
		ArrayList<Visa_entry_type_ListFilter1> l = new ArrayList<>();
		for (Visa_entry_type data : list) {
{	
Visa_entry_type_ListFilter1 dummy = new Visa_entry_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setVisa_entry_type(data.getVisa_entry_type());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Visa_entry_type_ListFilter1>   getlistbuilderparam( ) {
	List<Visa_entry_type> list= Repository.findAll();
		ArrayList<Visa_entry_type_ListFilter1> l = new ArrayList<>();
		for (Visa_entry_type data : list) {
{	
Visa_entry_type_ListFilter1 dummy = new Visa_entry_type_ListFilter1();
			dummy.setId(data.getId());
  dummy.setVisa_entry_type(data.getVisa_entry_type());
	l.add(dummy);
} 
} 		
return l;}
}